QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Audit
    v1.0.0

    Create an audit order

    Request

    Request Body

    Content-Type: application/json

    FieldTypeRequiredDescription
    userIdstringYes
    QIMA client user id
    serviceDatestringYes
    Planed inspection date, format should be in dd-MMM-yyyy
    shipDatestringYes
    Planed shipment date, format should be in dd-MMM-yyyy
    serviceTypestringNo
    QIMA audit service type, mandatory if previousOrderNumber not provided. Here is the mapping, ma: Manufacturing Audit, ea: Ethical Audit, enva: Environmental Audit, dr: Desktop Review, ghp: Food Hygiene Audits, gmp: Food Good Manufacturing Practices Audits, gfsi: Food Certified, ctpat: C-TPAT Audit, stra: Structural Audit
    Enum: "ma", "ea", "enva", "dr", "ghp", "gmp", "gfsi", "ctpat", "stra"
    referenceNumberstringNo
    Client reference number
    factoryAreaSqmintegerYes
    Factory area in SQM
    totalNumberOfBuildingstringYes
    Total number of building
    announcementTypestringNo
    Audit order announcement type
    Enum: "Announced", "Semi-Announced", "Un-Announced"
    workersCountintegerYes
    The count of workers
    auditWindowFromstringNo
    Audit window from date, format should be in dd-MMM-yyyy
    auditWindowTostringNo
    Audit window to date, format should be in dd-MMM-yyyy
    additionalCommentstringNo
    The additional comment of audit order
    supplierCodestringNo
    Supplier's identification code in client's system, mandatory when supplier name, city id, contact not provided, and must be a valid code
    supplierNamestringYes
    Supplier's name
    supplierContactNamestringYes
    Supplier's contact name
    supplierContactPhonestringYes
    Supplier's contact phone
    supplierContactEmailstringYes
    Supplier's contact email
    supplierContinentIDstringYes
    Supplier's continent id in QIMA's system, refer to /parameter/v2/continents. Mandatory when supplier code is not provided
    supplierCountryIDstringNo
    Supplier's country id in QIMA's system, refer to /parameter/v2/countries, /parameter/v2/countries or /parameter/v2/continent/{continentId}/countries. Mandatory when supplier code is not provided
    supplierCityIDstringNo
    Supplier's city id in QIMA's system, refer to /parameter/v2/country/{countryId}/searchCities, /parameter/v2/province/{provinceId}/searchCities or /parameter/v2/country/{countryId}/cities. Mandatory when supplier code is not provided
    supplierAddressstringYes
    Supplier's address
    supplierPostalCodestringNo
    Supplier's postal code
    specificFieldstringNo
    Audit order specific field
    supplierProductLinesarrayYes
    Supplier product lines, get it from /parameter/v2/product-families API
    factoryCodestringNo
    Factory's identification code in client's system, mandatory when auto confirm factory is needed and factory other info are not provided
    factoryNamestringNo
    Mandatory when auto confirm factory is needed and factory code is not provided
    factoryContactNamestringNo
    Mandatory when auto confirm factory is needed and factory code is not provided
    factoryContactPhonestringNo
    Mandatory when auto confirm factory is needed and factory code is not provided
    factoryContactEmailstringNo
    Mandatory when auto confirm factory is needed and factory code is not provided
    factoryContinentIDstringNo
    Factory's continent id in QIMA's system, refer to /parameter/v2/continents. Mandatory when auto confirm factory is needed and factory code is not provided
    factoryCountryIDstringNo
    Factory's country id in QIMA's system, refer to /parameter/v2/countries. Mandatory when auto confirm factory is needed and factory code is not provided
    factoryProvinceIDstringNo
    Factory's province id in QIMA's system, refer to /parameter/v2/country/{countryId}/provinces. Mandatory when auto confirm factory is needed and factory code is not provided
    factoryCityIDstringNo
    Factory's city id in QIMA's system, refer to /parameter/v2/country/{countryId}/searchCities. Mandatory when auto confirm factory is needed and factory code is not provided
    factoryAddressstringNo
    Mandatory when auto confirm factory is needed and factory code is not provided
    factoryPostalCodestringNo
    Mandatory when auto confirm factory is needed and factory code is not provided
    factoryProductLinesarrayNo
    Mandatory when auto confirm factory is needed and factory code is not provided, get product line from /parameter/v2/product-families API
    supplierAlternateContactNamestringNo
    Supplier's alternative contact name
    supplierAlternateContactPhonestringNo
    Supplier's alternative contact phone
    supplierAlternateContactEmailstringNo
    Supplier's alternative contact email
    factoryAlternateContactNamestringNo
    Name of the alternative factory contact
    factoryAlternateContactPhonestringNo
    Phone of the alternative factory contact
    factoryAlternateContactEmailstringNo
    Email of the alternative factory contact
    Responses

    200
    Audit order created successfully. The `message` field is empty when the factory (if provided) was also confirmed without issues.

    Content-Type: application/json

    invalidSupplier
    boolean
    FieldTypeDescription
    invalidSupplierboolean
    FieldTypeDescription
    draftIdstringId of the booking draft
    isAnOrderNotADraftbooleanIndicate is this booking is in editing status. Draft means the booking is being edited.
    draftStepsarrayCan be ignored
    draftSteps[].currentboolean
    draftSteps[].doneboolean
    draftSteps[].labelstring
    draftSteps[].visitedboolean
    FieldTypeDescription
    orderIdstringOrder id, primary key of the inspection order
    orderPlacerstringThe username of account who placed the booking
    statusstringOrder status value of the booking, mapping between value and text are 5=DRAFT, 20=WAITING_FOR_VALIDATION, 21=WAITING_FOR_MORE_INF, 25=WAITING_FOR_FEEDBACK, 30=WAITING_FOR_ALLOCATION, 40=WAITING_FOR_INSPECTION, 50=WAITING_FOR_REPORT_VALIDATION, 60=FINISHED, 70=CANCELLED, 80=SERVICE_CUT
    statusTextstringOrder status text of the booking
    serviceTypestringQIMA inspection service type value 1: PSI (Pre-Shipment Inspection), 2: IPC (Initial Production Check), 3: DUPRO (During Production Inspection) , 4: CLC (Container Loading Check), 6: PM (Production Monitoring), 8: SR (Sample Review), 21: SC (Sample Collection)
    serviceTypeTextstringQIMA inspection service type text
    bookingDatestringDate of the inspection booking is placed, in format dd-MMM-yyyy
    bookingDateUnixTimestampintegerDate of the inspection booking is placed in unix timestamp
    orderNumberstringQIMA booking order number, like R-Cloud-xx
    companyIdstringCompany id in QIMA system
    userIdstringQIMA client user id
    parentCompanyIdstringParent company id in QIMA system
    allowChangeInspectionDatebooleanIndicate if in this order is supplier is allowed to change inspection date
    supplierValidateCodestringCode for supplier to fill when confirming inspection date and location via link in confirmation email
    clientRefNbstringReference number client can use for referencing with QIMA's inspection booking
    expectedInspectionDatestringOriginal expected inspection date from client, in dd-MMM-yyyy format
    expectedInspectionDateUnixTimestampintegerOriginal expected inspection date from client, in unix timestamp format
    actualInspectionDatestringActual inspection date confirmed with factory, in dd-MMM-yyyy format
    actualInspectionDateUnixTimestampintegerActual inspection date confirmed with factory, in unix timestamp format
    expectedShipDatestringOriginal expected shipment date from client, in dd-MMM-yyyy format
    expectedShipDateUnixTimestampintegerOriginal expected shipment date from client, in unix timestamp format
    bookFromPreOrderstringPrevious inspection booking id, need to provide when place re-inspection
    copyAllMailToarrayEmail addresses that all email related to order and reports will be copied to
    copyReportMailToarrayEmail addresses that all report related to order and reports will be copied to
    inspectionMethodobject
    inspectionMethod.idstringId of this system parameter
    inspectionMethod.classificationstringType of this system parameter
    inspectionMethod.keystringKey name of this system parameter
    inspectionMethod.valuestringValue name of this system parameter
    inspectionMethod.textstringDisplaying name of this system parameter
    inspectionMethod.descriptionstringDisplaying description of this system parameter
    inspectionMethod.createTimestringCreation time of this system parameter
    inspectionMethod.updateTimestringUpdate time of this system parameter
    inspectionMethod.sequenceintegerSequence of this system parameter when under same classification
    container20integerNumber of containers (20 inches) - for Container Loading Check (CLC) only
    container40integerNumber of containers (40 inches) - for Container Loading Check (CLC) only
    container40HQintegerNumber of containers (60 inches) - for Container Loading Check (CLC) only
    customField1stringCustom field 1 depends on use case
    customField2stringCustom field 2 depends on use case
    customField3stringCustom field 3 depends on use case
    performInQimaoneintegerInspection perform platform type, 0: Within QSP, 1: In QIMAone from QSP, 2: In QIMAone from QIMAone
    lcnumberstring
    confirmedboolean
    icneededboolean
    lcappNamestring
    lcappAddressstring
    lcbeneNamestring
    lcbeneAddressstring
    FieldTypeDescription
    orderIdstringOrder id, primary key of the inspection order
    cancelablebooleanIndicate currently if this booking can be cancelled
    editablebooleanIndicate currently if this booking can be modified
    isReInspectionbooleanIndicate if this inspection is re-inspection
    followUpbooleanIndicate if audit is a follow-up audit, when this booking is an audit booking
    originalNbReinspstringThe original order number if this booking is an re-inspection
    reInspectionInstructionstringThe original order number if this booking is an re-inspection
    nbOfInspectorsintegerInspectors count assigned to this inspection
    prevOrderTypestringPrevious service type
    prevOrderStatusstringPrevious order status
    prevServiceDatestringPrevious service date
    prevServiceDateTextstringPrevious service date, the value could be "Confidential", date, or a time window.
    multiSupplierOrderboolean
    quickBookingboolean
    FieldTypeDescription
    idstringId of the factory in this booking
    factoryIdstringId of the factory in client's account
    factoryCodestringFactory's identification code in client's system
    factoryNamestringName of the factory
    factoryNameCNstringChinese name of the factory
    factoryMGRNamestringName of the factory contact
    factoryMGRMobilestringMobile phone number of the factory contact
    factoryMGRNumberstringTelephone phone number of the factory contact
    factoryMGREmailarrayEmails of the the factory contact
    factoryOtherMobilestringMobile phone of the alternative factory contact
    factoryOtherNamestringName of the alternative factory contact
    factoryOtherNumberstringTelephone number of the alternative factory contact
    factoryOtherEmailarrayEmails of the the alternative factory contact
    factoryAddressstringAddress of the factory
    factoryCitystringCity of the factory
    factoryProvincestringProvince of the factory
    factoryCountrystringCountry of the factory
    factoryContinentstringContinent of the factory
    factoryPostCodestringPost code of the factory
    factoryProductLinesarrayProduct lines of the factory
    nbOfWorkersintegerNumber of the workers in the factory
    isMutiLocationbooleanIndicate if this inspection needs to be done in multiple factories
    ext1stringCustomer fields 1 of the factory info in this booking
    ext2stringCustomer fields 2 of the factory info in this booking
    ext3stringCustomer fields 3 of the factory info in this booking
    factoryCityIdstringCity id of the factory in QIMA system
    FieldTypeDescription
    orderIdstringId of the order
    idstringId of the supplier in this booking
    supplierCodestringSupplier's identification code in client's system
    supplierNamestringName of the supplier
    supplierNameCNstringChinese name of the factory
    supplierMGRNamestringName of the factory contact
    supplierMGRMobilestringMobile phone number of the factory contact
    supplierMGRNumberstringTelephone phone number of the factory contact
    supplierMGREmailarrayEmails of the the factory contact
    supplierOtherNamestringName of the alternative factory contact
    supplierOtherMobilestringMobile phone of the alternative factory contact
    supplierOtherNumberstringTelephone number of the alternative factory contact
    supplierOtherEmailarrayEmails of the the alternative factory contact
    supplierAddressstringAddress of the factory
    supplierCitystringCity of the factory
    supplierPostCodestringPost code of the factory
    supplierCountrystringCountry of the factory
    supplierContinentIDstringContinent id of the factory in QIMA system
    supplierProductLinesarrayProduct lines of the factory
    supplierIdstringId of the supplier in client's account
    ext1stringCustomer fields 1 of the factory info in this booking
    ext2stringCustomer fields 2 of the factory info in this booking
    ext3stringCustomer fields 3 of the factory info in this booking
    isActivestringIndicate if this supplier still can be selected for service
    FieldTypeDescription
    orderIdstringId of the order
    sampleSizestringThe size of sample, when >=500 pass 1, else pass 0
    contactFactoryOrNotbooleanPass 1 to psi if true, else 0
    generalCommentstringGeneral comment
    guidelinesintegerThe guidelines of audit, ai ethical: 0, smeta 2 pillar: 1, smeta 4 pillar: 2
    totalNumberOfBuildingintegerTotal number of building
    factoryAreaSqmintegerFactory Area in SQM
    additionalCommentstringAdditional comment
    poNumberstringThe number of PO
    announcementTypestringAudit order announcement type
    auditWindowFromstringAudit window from date, format should be in dd-MMM-yyyy
    auditWindowTostringAudit window to date, format should be in dd-MMM-yyyy
    auditWindowUnAvailableDaysarrayThe unavailable days of audit window
    auditDivisionstringThe division of audit
    prodNamestringThe name of product
    clientAuditProgramstringClient audit program
    additiveFactorsstringAdditive factors
    FieldTypeDescription
    idstringThe id of order audit fields
    orderIdstringThe id of order
    fieldTypestringThe type of field, 1 : mandatory; 2 : optional; 3 : specific, 4 : EA_SA8000; 5 : EA_SMETA
    fieldIdstringThe id of field
    specificFieldstringAudit order specific field
    weightstringThe weight of audit order
    selectedbooleanIf true then pass 1 to psi, else pass 0
    fieldNamestringThe name of field
    descriptionstringDescription
    classificationstringClassification
    fieldVersionintegerThe version of field
    FieldTypeDescription
    fieldNamestringThe name of field
    refValuestringId to parm_classified_keyvalue
    textValuestringText value
    {
      "message": "",
      "content": {
        "invalidSupplier": false,
        "orderGeneralInfo": {
          "orderId": "2E1C54F73CD44CA89224EF484977233D",
          "orderPlacer": "apiuser001",
          "status": "20",
          "statusText": "WAITING_FOR_VALIDATION",
          "serviceType": "9",
          "serviceTypeText": "EA",
          "orderNumber": "Q2600365241-PP",
          "companyId": "23EC09AB0F3C46BBA4F79718DCED16D0",
          "userId": "4C6E94072DFC4918B60752F701DE544A",
          "clientRefNb": "2107-0-02026",
          "confirmed": false
        },
        "orderAuditGeneral": {
          "orderId": "2E1C54F73CD44CA89224EF484977233D",
          "sampleSize": "1",
          "guidelines": 0,
          "announcementType": "Semi-Announced"
        }
      }
    }

    Content-Type: application/json

    invalidSupplier
    boolean
    FieldTypeDescription
    invalidSupplierboolean
    FieldTypeDescription
    draftIdstringId of the booking draft
    isAnOrderNotADraftbooleanIndicate is this booking is in editing status. Draft means the booking is being edited.
    draftStepsarrayCan be ignored
    draftSteps[].currentboolean
    draftSteps[].doneboolean
    draftSteps[].labelstring
    draftSteps[].visitedboolean
    FieldTypeDescription
    orderIdstringOrder id, primary key of the inspection order
    orderPlacerstringThe username of account who placed the booking
    statusstringOrder status value of the booking, mapping between value and text are 5=DRAFT, 20=WAITING_FOR_VALIDATION, 21=WAITING_FOR_MORE_INF, 25=WAITING_FOR_FEEDBACK, 30=WAITING_FOR_ALLOCATION, 40=WAITING_FOR_INSPECTION, 50=WAITING_FOR_REPORT_VALIDATION, 60=FINISHED, 70=CANCELLED, 80=SERVICE_CUT
    statusTextstringOrder status text of the booking
    serviceTypestringQIMA inspection service type value 1: PSI (Pre-Shipment Inspection), 2: IPC (Initial Production Check), 3: DUPRO (During Production Inspection) , 4: CLC (Container Loading Check), 6: PM (Production Monitoring), 8: SR (Sample Review), 21: SC (Sample Collection)
    serviceTypeTextstringQIMA inspection service type text
    bookingDatestringDate of the inspection booking is placed, in format dd-MMM-yyyy
    bookingDateUnixTimestampintegerDate of the inspection booking is placed in unix timestamp
    orderNumberstringQIMA booking order number, like R-Cloud-xx
    companyIdstringCompany id in QIMA system
    userIdstringQIMA client user id
    parentCompanyIdstringParent company id in QIMA system
    allowChangeInspectionDatebooleanIndicate if in this order is supplier is allowed to change inspection date
    supplierValidateCodestringCode for supplier to fill when confirming inspection date and location via link in confirmation email
    clientRefNbstringReference number client can use for referencing with QIMA's inspection booking
    expectedInspectionDatestringOriginal expected inspection date from client, in dd-MMM-yyyy format
    expectedInspectionDateUnixTimestampintegerOriginal expected inspection date from client, in unix timestamp format
    actualInspectionDatestringActual inspection date confirmed with factory, in dd-MMM-yyyy format
    actualInspectionDateUnixTimestampintegerActual inspection date confirmed with factory, in unix timestamp format
    expectedShipDatestringOriginal expected shipment date from client, in dd-MMM-yyyy format
    expectedShipDateUnixTimestampintegerOriginal expected shipment date from client, in unix timestamp format
    bookFromPreOrderstringPrevious inspection booking id, need to provide when place re-inspection
    copyAllMailToarrayEmail addresses that all email related to order and reports will be copied to
    copyReportMailToarrayEmail addresses that all report related to order and reports will be copied to
    inspectionMethodobject
    inspectionMethod.idstringId of this system parameter
    inspectionMethod.classificationstringType of this system parameter
    inspectionMethod.keystringKey name of this system parameter
    inspectionMethod.valuestringValue name of this system parameter
    inspectionMethod.textstringDisplaying name of this system parameter
    inspectionMethod.descriptionstringDisplaying description of this system parameter
    inspectionMethod.createTimestringCreation time of this system parameter
    inspectionMethod.updateTimestringUpdate time of this system parameter
    inspectionMethod.sequenceintegerSequence of this system parameter when under same classification
    container20integerNumber of containers (20 inches) - for Container Loading Check (CLC) only
    container40integerNumber of containers (40 inches) - for Container Loading Check (CLC) only
    container40HQintegerNumber of containers (60 inches) - for Container Loading Check (CLC) only
    customField1stringCustom field 1 depends on use case
    customField2stringCustom field 2 depends on use case
    customField3stringCustom field 3 depends on use case
    performInQimaoneintegerInspection perform platform type, 0: Within QSP, 1: In QIMAone from QSP, 2: In QIMAone from QIMAone
    lcnumberstring
    confirmedboolean
    icneededboolean
    lcappNamestring
    lcappAddressstring
    lcbeneNamestring
    lcbeneAddressstring
    FieldTypeDescription
    orderIdstringOrder id, primary key of the inspection order
    cancelablebooleanIndicate currently if this booking can be cancelled
    editablebooleanIndicate currently if this booking can be modified
    isReInspectionbooleanIndicate if this inspection is re-inspection
    followUpbooleanIndicate if audit is a follow-up audit, when this booking is an audit booking
    originalNbReinspstringThe original order number if this booking is an re-inspection
    reInspectionInstructionstringThe original order number if this booking is an re-inspection
    nbOfInspectorsintegerInspectors count assigned to this inspection
    prevOrderTypestringPrevious service type
    prevOrderStatusstringPrevious order status
    prevServiceDatestringPrevious service date
    prevServiceDateTextstringPrevious service date, the value could be "Confidential", date, or a time window.
    multiSupplierOrderboolean
    quickBookingboolean
    FieldTypeDescription
    idstringId of the factory in this booking
    factoryIdstringId of the factory in client's account
    factoryCodestringFactory's identification code in client's system
    factoryNamestringName of the factory
    factoryNameCNstringChinese name of the factory
    factoryMGRNamestringName of the factory contact
    factoryMGRMobilestringMobile phone number of the factory contact
    factoryMGRNumberstringTelephone phone number of the factory contact
    factoryMGREmailarrayEmails of the the factory contact
    factoryOtherMobilestringMobile phone of the alternative factory contact
    factoryOtherNamestringName of the alternative factory contact
    factoryOtherNumberstringTelephone number of the alternative factory contact
    factoryOtherEmailarrayEmails of the the alternative factory contact
    factoryAddressstringAddress of the factory
    factoryCitystringCity of the factory
    factoryProvincestringProvince of the factory
    factoryCountrystringCountry of the factory
    factoryContinentstringContinent of the factory
    factoryPostCodestringPost code of the factory
    factoryProductLinesarrayProduct lines of the factory
    nbOfWorkersintegerNumber of the workers in the factory
    isMutiLocationbooleanIndicate if this inspection needs to be done in multiple factories
    ext1stringCustomer fields 1 of the factory info in this booking
    ext2stringCustomer fields 2 of the factory info in this booking
    ext3stringCustomer fields 3 of the factory info in this booking
    factoryCityIdstringCity id of the factory in QIMA system
    FieldTypeDescription
    orderIdstringId of the order
    idstringId of the supplier in this booking
    supplierCodestringSupplier's identification code in client's system
    supplierNamestringName of the supplier
    supplierNameCNstringChinese name of the factory
    supplierMGRNamestringName of the factory contact
    supplierMGRMobilestringMobile phone number of the factory contact
    supplierMGRNumberstringTelephone phone number of the factory contact
    supplierMGREmailarrayEmails of the the factory contact
    supplierOtherNamestringName of the alternative factory contact
    supplierOtherMobilestringMobile phone of the alternative factory contact
    supplierOtherNumberstringTelephone number of the alternative factory contact
    supplierOtherEmailarrayEmails of the the alternative factory contact
    supplierAddressstringAddress of the factory
    supplierCitystringCity of the factory
    supplierPostCodestringPost code of the factory
    supplierCountrystringCountry of the factory
    supplierContinentIDstringContinent id of the factory in QIMA system
    supplierProductLinesarrayProduct lines of the factory
    supplierIdstringId of the supplier in client's account
    ext1stringCustomer fields 1 of the factory info in this booking
    ext2stringCustomer fields 2 of the factory info in this booking
    ext3stringCustomer fields 3 of the factory info in this booking
    isActivestringIndicate if this supplier still can be selected for service
    FieldTypeDescription
    orderIdstringId of the order
    sampleSizestringThe size of sample, when >=500 pass 1, else pass 0
    contactFactoryOrNotbooleanPass 1 to psi if true, else 0
    generalCommentstringGeneral comment
    guidelinesintegerThe guidelines of audit, ai ethical: 0, smeta 2 pillar: 1, smeta 4 pillar: 2
    totalNumberOfBuildingintegerTotal number of building
    factoryAreaSqmintegerFactory Area in SQM
    additionalCommentstringAdditional comment
    poNumberstringThe number of PO
    announcementTypestringAudit order announcement type
    auditWindowFromstringAudit window from date, format should be in dd-MMM-yyyy
    auditWindowTostringAudit window to date, format should be in dd-MMM-yyyy
    auditWindowUnAvailableDaysarrayThe unavailable days of audit window
    auditDivisionstringThe division of audit
    prodNamestringThe name of product
    clientAuditProgramstringClient audit program
    additiveFactorsstringAdditive factors
    FieldTypeDescription
    idstringThe id of order audit fields
    orderIdstringThe id of order
    fieldTypestringThe type of field, 1 : mandatory; 2 : optional; 3 : specific, 4 : EA_SA8000; 5 : EA_SMETA
    fieldIdstringThe id of field
    specificFieldstringAudit order specific field
    weightstringThe weight of audit order
    selectedbooleanIf true then pass 1 to psi, else pass 0
    fieldNamestringThe name of field
    descriptionstringDescription
    classificationstringClassification
    fieldVersionintegerThe version of field
    FieldTypeDescription
    fieldNamestringThe name of field
    refValuestringId to parm_classified_keyvalue
    textValuestringText value
    {
      "message": "Supplier confirm audit order failed!Confirm audit failed. Cannot confirm audit because of the factory service is down!",
      "content": {
        "invalidSupplier": false,
        "orderGeneralInfo": {
          "orderId": "2E1C54F73CD44CA89224EF484977233D",
          "orderPlacer": "apiuser001",
          "status": "20",
          "statusText": "WAITING_FOR_VALIDATION",
          "serviceType": "9",
          "serviceTypeText": "EA",
          "orderNumber": "Q2600365241-PP",
          "companyId": "23EC09AB0F3C46BBA4F79718DCED16D0",
          "userId": "4C6E94072DFC4918B60752F701DE544A",
          "clientRefNb": "2107-0-02026",
          "confirmed": false
        },
        "orderAuditGeneral": {
          "orderId": "2E1C54F73CD44CA89224EF484977233D",
          "sampleSize": "1",
          "guidelines": 0,
          "announcementType": "Semi-Announced"
        }
      }
    }

    Content-Type: application/json

    {
      "message": "[serviceDate can't be empty]",
      "content": ""
    }

    Content-Type: application/json

    POST
    /v1.0/audit
    Request samples

    application/json

    { "userId": "4C6E94072DFC4918B60752F701DE544A", "serviceDate": "10-Oct-2026", "shipDate": "10-Oct-2026", "serviceType": "ea", "referenceNumber": "2107-0-02026", "factoryAreaSqm": 1, "totalNumberOfBuilding": "3", "announcementType": "Semi-Announced", "workersCount": 1, "auditWindowFrom": "10-Oct-2026", "auditWindowTo": "12-Oct-2026", "additionalComment": "test", "supplierCode": "SF-TL90", "supplierName": "Sample Supplier Co.", "supplierContactName": "Supplier Manager", "supplierContactPhone": "13800000001", "supplierContactEmail": "supplier.contact@example.com", "supplierContinentID": "24865671", "supplierCountryID": "23424781", "supplierCityID": "12687656", "supplierAddress": "LuoHuQu ChunFenglu 999", "supplierProductLines": [ "bigCat1_s2", "bigCat1_s3" ], "factoryCode": "SF-99-i56", "factoryName": "Sample Factory Co.", "factoryContactName": "Factory Manager", "factoryContactPhone": "13800000004", "factoryContactEmail": "factory.manager@example.com", "factoryContinentID": "24865671", "factoryCountryID": "23424781", "factoryProvinceID": "12578019", "factoryCityID": "12687656", "factoryAddress": "LuoHuQu ChunFenglu 777", "factoryPostalCode": "511464", "factoryProductLines": [ "bigCat1_s2", "bigCat1_s3" ], "supplierAlternateContactName": "Alternate Supplier Contact", "supplierAlternateContactPhone": "13800000002", "supplierAlternateContactEmail": "supplier.alt@example.com", "factoryAlternateContactName": "Alternate Factory Contact", "factoryAlternateContactPhone": "13800000003", "factoryAlternateContactEmail": "factory.alt@example.com" }

    Response samples

    application/json

    { "message": "", "content": { "invalidSupplier": false, "orderGeneralInfo": { "orderId": "2E1C54F73CD44CA89224EF484977233D", "orderPlacer": "apiuser001", "status": "20", "statusText": "WAITING_FOR_VALIDATION", "serviceType": "9", "serviceTypeText": "EA", "orderNumber": "Q2600365241-PP", "companyId": "23EC09AB0F3C46BBA4F79718DCED16D0", "userId": "4C6E94072DFC4918B60752F701DE544A", "clientRefNb": "2107-0-02026", "confirmed": false }, "orderAuditGeneral": { "orderId": "2E1C54F73CD44CA89224EF484977233D", "sampleSize": "1", "guidelines": 0, "announcementType": "Semi-Announced" } } }